# $Id: hdhomerun.spec 996 2009-12-13 22:46:38Z rpmbuild $
# repo: RE-test
# restrictions: el5/*

Summary: HDHomeRun configuration utility
Name: hdhomerun
Version: 20091024
Release: %RErelease 1
Epoch: 0
License: LGPLv3+
Group: Applications/System
URL: http://www.silicondust.com/
Source0: http://download.silicondust.com/hdhomerun/libhdhomerun_%{version}.tgz
Source1: http://download.silicondust.com/hdhomerun/hdhomerun_config_gui_%{version}.tgz
Source2: hdhomerun_config_gui.png
Source3: hdhomerun_config_gui.desktop
Patch0: hdhomerun_config_gui_Makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge

%description
libhdhomerun contains the configuration and firmware upgrade
utility for the Silicon Dust HDHomeRun Networked Digital TV Tuner.

%package -n hdhomerun_config_gui
Summary: HDHomeRun Config GUI
License: GPLv3
Group: Applications/System
URL: http://www.silicondust.com/
Requires: hdhomerun = %{version}

%description -n hdhomerun_config_gui
hdhomerun_config_gui contains the configuration GUI for the Silicon
Dust HDHomeRun Networked Digital TV Tuner.

%prep
%setup -q -n libhdhomerun -T -b 0
## Fix up linefeeds, drop execute bit and don't strip binaries
#%{__sed} -i 's/\r//' *
#%{__chmod} -x *
#%{__sed} -i -e '/strip/d' -e 's/C\(PP\)\?FLAGS .=/C\1FLAGS ?=/' Makefile
## Convert files to utf8
#for f in *; do
#  /usr/bin/iconv -f iso-8859-1 -t utf-8 --output $f.new $f && mv $f.new $f
#done

%setup -q -n hdhomerun_config_gui -T -b 1
%patch0 -p1

%build
%configure
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__install} -m0755 ../libhdhomerun/hdhomerun_config $RPM_BUILD_ROOT%{_bindir}/

%{__install} -m 644 -p -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/hdhomerun_config_gui.png
%if 0%{?_without_freedesktop:1}
%{__install} -m 644 -p -D %{SOURCE3} ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Graphics/
%else
desktop-file-install --vendor="RE" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE3}
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__rm} -rf libhdhomerun

%files
%defattr(-,root,root,-)
%doc ../libhdhomerun/README ../libhdhomerun/lgpl.txt
%{_bindir}/hdhomerun_config
%{_libdir}/*

%files -n hdhomerun_config_gui
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING INSTALL NEWS
%{_bindir}/hdhomerun_config_gui
%{_datadir}/pixmaps/*
%{?_without_freedesktop:%{_datadir}/gnome/apps/Graphics/*}
%{!?_without_freedesktop:%{_datadir}/applications/*}

%changelog
* Sun Dec 13 2009 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 20091024-1
- Updated to version 20091024.
- Removed %%prep cruft for libhdhomerun.

* Wed Dec 24 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 20081222-1
- Updated to version 20081222.
- Added hdhomerun_config_gui.

* Sat Jun 14 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 20080430-1
- Updated to version 20080430.

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> 0.0-0.6.20080212
- Update to 20080212 release

* Fri Oct 19 2007 Jarod Wilson <jwilson@redhat.com> - 0.0-0.5.20071015
- Update to 20071015 release
- Update license field

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.0-0.4.20070716
- Rebuild for selinux ppc32 issue.

* Tue Jul 17 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.3.20070716
- Update to 20070716 release

* Thu Jul 12 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.2.20070616
- Use sed instead of perl, drop perl BR: (jeff@ocjtech.us)
- Convert source files to utf8 (jeff@ocjtech.us)

* Mon Jun 18 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.1.20070616
- Update to 20070616 release
- Don't install any of the header files and drop lib from the package
  name, since this really isn't a library

* Fri May 18 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.1.20070512
- Initial packaging for Fedora
